Bug 1401809 - certutil does not announce correct password requirements in FIPS mode
Summary: certutil does not announce correct password requirements in FIPS mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
Depends On:
Blocks: 1420851 RHEL7FIPS140_DOCS
TreeView+ depends on / blocked
 
Reported: 2016-12-06 07:15 UTC by Standa Laznicka
Modified: 2018-04-10 09:25 UTC (History)
8 users (show)

Fixed In Version: nss-3.34.0-0.1.beta1.el7
Doc Type: Known Issue
Doc Text:
*certutil* does not return the NSS database password requirements in FIPS mode When creating a new Network Security Services (NSS) database with the *certutil* tool, the user has nowhere to find out what the database password requirements are when running in FIPS mode. The prompt message does not provide password requirements, and *certutil* returns only a generic error message: certutil: could not authenticate to token NSS FIPS 140-2 Certificate DB.: SEC_ERROR_IO: An I/O error occurred during security authorization.
Clone Of:
Environment:
Last Closed: 2018-04-10 09:23:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0679 None None None 2018-04-10 09:25:17 UTC
Mozilla Foundation 1342412 None None None 2017-02-24 14:06:57 UTC

Description Standa Laznicka 2016-12-06 07:15:30 UTC
Description of problem:
When creating a new nss database with certutil, the user has nowhere to find out what should be included in the password to the databse if running in FIPS mode.

Version-Release number of selected component (if applicable):
nss-tools-3.21.3-2

How reproducible:
Always


Steps to Reproduce:
1. # certutil -N -d nssdb
2. User is being prompted for password, quote:
"The password should be at least 8 characters long,
and should contain at least one non-alphabetic character."
3. The user enters 10 characters long password which contains one digit.
4. # cat cert.der | certutil -d nssdb -A -n "CA Cert" -t 'C,,'

Actual results:
"certutil: could not authenticate to token NSS FIPS 140-2 Certificate DB.: SEC_ERROR_IO: An I/O error occurred during security authorization."

Expected results:
The password requirements are announced in the password prompt message otherwise the user is left to try database creations with different passwords until they finally find out what the requirements are.

Comment 2 Kai Engert (:kaie) (inactive account) 2017-02-24 14:06:57 UTC
Stanislav, your request seems reasonable.

I'm not sure how quickly we could implement the changes upstream, it's probably too late for 7.4.0

I've filed an upstream bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1342412

We need a volunteer to implement this enhancement upstream.

Comment 11 errata-xmlrpc 2018-04-10 09:23:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0679


Note You need to log in before you can comment on or make changes to this bug.